#
# spec file for package python-tabulate
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-tabulate
Version:        0.7.7
Release:        1.18
Summary:        Pretty-print tabular data in Python
License:        MIT
Group:          Development/Languages/Python
Url:            https://bitbucket.org/astanin/python-tabulate
Source:         ttps://pypi.io/packages/source/t/tabulate/tabulate-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{python_module devel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
Pretty-print tabular data in Python.

The main use cases of the library are:

 * printing small tables without hassle: just one function call, formatting is
   guided by the data itself
 * authoring tabular data for lightweight plain-text markup: multiple output
   formats suitable for further editing or transformation
 * readable presentation of mixed textual and numeric data: smart column
   alignment, configurable number formatting, alignment by a decimal point

%prep
%setup -q -n tabulate-%{version}
%build
%python_build

%install
%python_install

%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README
%{python_sitelib}/*

%changelog
* Thu Apr 20 2017 sflees@suse.de
- Update to 0.7.7
  * support. Iterables of dicts. ``latex_booktabs`` format.
  * ```fancy_grid`` and ``html`` formats. Command line utility.
  * ``--float`` format option for the command line utility.
  * New table formats (``psql``, ``jira``, ``moinmoin``, ``textile``).
  * Wide character support.
  * Printing from database cursors.
  * Option to print row indices.
  * Boolean columns. Ragged rows.
  * Option to disable number parsing.
  * Bug Fixes
- Convert to single spec
* Wed Jul  6 2016 tbechtold@suse.com
- Add LICENSE and README
* Thu Jul 24 2014 fcastelli@suse.com
- Remove python-setuptools requirement
* Wed Jul 23 2014 fcastelli@suse.com
- Initial version of the package (0.7.2)
